// -*- mode: jsonc -*-
{
    "layer": "top",
    "position": "top",
    "height": 30,
    "spacing": 0,
    "modules-left": [
        "custom/logo",
        "cpu",
        "memory",
        "bluetooth",
        "mpris"
    ],
    "modules-center": [
        "hyprland/workspaces"
    ],
    "modules-right": [
        "tray",
        "power-profiles-daemon",
        "hyprland/language",
        "pulseaudio",
        "network",
        "battery",
        "clock",
        "custom/power"
    ],
    "mpris": {
        "format": "DEFAULT: {player_icon} {dynamic}",
        "format-paused": "DEFAULT: {status_icon} <i>{dynamic}</i>",
        "player-icons": {
            "default": "▶",
            "mpv": "🎵"
        },
        "status-icons": {
            "paused": "⏸"
        }
        // "ignored-players": ["firefox"]
    },
    "tray": {
        "icon-size": 14,
        "spacing": 10
    },
    "clock": {
        "format": "{:%I:%M:%S %p}",
        "tooltip-format": "<big>{:%Y %B}</big>\n<tt><small>{calendar}</small></tt>",
        "format-alt": "{:%Y-%m-%d}",
        "interval": 1
    },
    "cpu": {
        "format": "<span font='14' color='#33d17a'> </span> {usage}%",
        "tooltip": false,
        "interval": 1
    },
    "memory": {
        "format": "<span font='14' color='#c061cb'> </span> {}%",
        "interval": 1
    },
    "battery": {
        "interval": 1,
        "states": {
            // "good": 95,
            "warning": 30,
            "critical": 15
        },
        "format": "<span font='14'>{icon}</span> {capacity}%",
        "format-full": "<span font='14'>{icon}</span> {capacity}%",
        "format-charging": "<span font='14'>󰂄</span> {capacity}%",
        "format-plugged": "<span font='14'>󰂄</span> {capacity}%",
        "format-icons": [
            "󰁺",
            "󰁼",
            "󰁾",
            "󰂀",
            "󰂂"
        ]
    },
    "power-profiles-daemon": {
        "format": "{icon}",
        "tooltip-format": "Power profile: {profile}\nDriver: {driver}",
        "tooltip": true,
        "format-icons": {
            "default": "",
            "performance": "",
            "balanced": "",
            "power-saver": ""
        }
    },
    "network": {
        "format-wifi": "<span font='14' color='#3584e4'></span> ",
        "format-ethernet": "<span font='14'>󰈀</span>",
        "format-disconnected": "<span font='14'>󰤭</span>",
        "format-alt": "{bandwidthDownBytes}",
        "interval": 1
    },
    "pulseaudio": {
        "format": "<span font='14' color='#f5c211'>{icon}</span> {volume}%",
        "format-muted": "<span font='14'>󰝟</span>",
        "format-source": "{volume}% ",
        "format-source-muted": "",
        "format-icons": {
            "headphone": " ",
            "hands-free": "",
            "headset": "",
            "phone": "",
            "portable": "",
            "car": "",
            "default": [
                "󰕿",
                "󰖀",
                "󰕾"
            ]
        },
        "on-click": "pavucontrol"
    },
    "custom/power": {
        "format": "⏻",
        "tooltip": false,
        "on-click": "wlogout"
    },
    "custom/logo": {
        "format": "<span font='14'>󰣇</span>",
        "on-click": "wofi --show drun"
    },
    "bluetooth": {
        "format": "<span font='14'>󰂯</span>",
        "format-disabled": "<span font='14'>󰂲</span>",
        "format-connected": "<span font='14'>󰂱</span>",
        "on-click": "blueman-manager"
    },
    "custom/keyboard-layer": {
        "exec": "~/scripts/keyboard-layer.sh",
        "return-type": "json",
        "interval": "once",
        "format": "🎹 {}"
    }
  
}
